> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run LinkedIn People Search

> Searches LinkedIn people using optional query terms and advanced filters.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-linkedin-people-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows, search execution, and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Data Sources
    description: Focused provider lookups for LinkedIn, email, phone, and company data.
paths:
  /functions/v1/run-linkedin-people-search:
    post:
      tags:
        - Data Sources
      summary: Run LinkedIn People Search
      description: >-
        Searches LinkedIn people using optional query terms and advanced
        filters.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                searchQuery:
                  type: string
                maxResults:
                  type: number
                scraperMode:
                  type: string
                locations:
                  type: array
                  items:
                    type: string
                currentCompany:
                  type: array
                  items:
                    type: string
                pastCompany:
                  type: array
                  items:
                    type: string
                currentJobTitleFilter:
                  type: array
                  items:
                    type: string
                pastJobTitle:
                  type: array
                  items:
                    type: string
                yearsOfExperienceFilter:
                  type: array
                  items:
                    type: string
                yearsAtCurrentCompanyFilter:
                  type: array
                  items:
                    type: string
                seniorityLevelFilter:
                  type: array
                  items:
                    type: string
                functionFilter:
                  type: array
                  items:
                    type: string
                industryIds:
                  type: array
                  items:
                    type: string
                firstNames:
                  type: array
                  items:
                    type: string
                lastNames:
                  type: array
                  items:
                    type: string
                companyHeadcountFilter:
                  type: array
                  items:
                    type: string
            example:
              searchQuery: OpenAI recruiter
              maxResults: 3
              scraperMode: full
              locations:
                - Amsterdam
              currentCompany:
                - OpenAI
              currentJobTitleFilter:
                - Recruiter
      responses:
        '200':
          description: Search completed.
          content:
            application/json:
              example:
                session_id: 44444444-4444-4444-4444-444444444444
                verification_type: data_source
                kind: linkedin_people_search
                scraperMode: full
                autoQuerySegmentation: false
                maxItems: 3
                locations:
                  - Amsterdam
                profileScraperMode: Full
                recentlyChangedJobs: false
                recentlyPostedOnLinkedIn: false
                searchQuery: OpenAI recruiter
                currentCompanies:
                  - OpenAI
                currentJobTitles:
                  - Recruiter
                human: >-
                  # LinkedIn people search


                  - **Results returned:** 3


                  ### Jane Doe


                  - **Profile URL:** https://www.linkedin.com/in/jane-doe/

                  - **First name:** Jane

                  - **Last name:** Doe

                  - **Title:** Recruiter

                  - **Company:** OpenAI

                  - **Location:** Amsterdam

                  - **Summary:** Technical recruiting across research and
                  engineering roles.
                machine:
                  total_items: 3
                  first_item:
                    firstName: Jane
                    lastName: Doe
                    profileUrl: https://www.linkedin.com/in/jane-doe/
                    headline: Recruiter at OpenAI
                    currentCompany: OpenAI
                    location: Amsterdam
                  items:
                    - firstName: Jane
                      lastName: Doe
                      profileUrl: https://www.linkedin.com/in/jane-doe/
                points_per_25_results: 100
                points_per_profile: 5
                total_points: 115
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````